/***************************************************************************
    Copyright (C) 2004 Christian Hubinger
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMFRULEEDITCUSTOMOPT_H
#define KMFRULEEDITCUSTOMOPT_H
#include "kmyfirewallruleeditorcustomrule.h"

#include <qwidget.h>
#include <qptrlist.h>
/**
  *@author Christian Hubinger
  */

class IPTRule;
class QString;

    
class KMFRuleEditCustomOpt : public KMyFirewallRuleEditorCustomRule  {
   Q_OBJECT
public: 
	KMFRuleEditCustomOpt(QWidget *parent=0, const char *name=0);
	~KMFRuleEditCustomOpt();

	void loadRule( IPTRule * );
public slots:
	void accept();
	void reject();
	void slotHelp();

private:
	IPTRule* m_rule;

signals:
	void sigAddRuleOpt( QString*, QPtrList<QString>* );
	void sigAddTargetOpt( QString*, QPtrList<QString>* );
	void sigHideMe();


};

#endif
